package cpcns.dingZhi.keJiXiangMu.controller;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import cpcns.base.common.User;
import cpcns.base.common.util.JsonWithJacksonUtils;
import cpcns.base.generic.ResultMessage;
import cpcns.dangAnBase.base.controller.DangAnBaseController;
import cpcns.danganmenlei.model.GDangAnMenLei;
import cpcns.danganmenlei.service.IGDangAnMenLeiService;
import cpcns.dingZhi.keJiXiangMu.model.keJiXiangMu;
import cpcns.dingZhi.keJiXiangMu.service.IKeJiXiangMuService;
import cpcns.dingZhi.tongYong.service.ItongYongService;
import cpcns.utils.CommStatic;
import cpcns.utils.PagerVO;
import cpcns.utils.tool;
import java.util.HashMap;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;

@Controller
@RequestMapping({"keJiXiangMuController"})
public class KeJiXiangMuController extends DangAnBaseController {
  @Autowired
  private IKeJiXiangMuService keJiXiangMuService;
  
  @Autowired
  private IGDangAnMenLeiService gDangAnMenLeiService;
  
  @Autowired
  private ItongYongService tongYongService;
  
  @RequestMapping({"/toList.do"})
  public String toList(HttpServletRequest request, Model model) {
    return "dingZhi/keJiXiangMu/keJiXiangMu_list";
  }
  
  @RequestMapping({"/toAdd.do"})
  public String toAdd(HttpServletRequest request, Model model) {
    keJiXiangMu obj = new keJiXiangMu();
    User user = getCurrentUser();
    obj.setQuanZongHao(user.getQuanZongHao());
    String menLei = request.getParameter("menLei");
    GDangAnMenLei dam = this.gDangAnMenLeiService.getByFenLeiHao(menLei);
    if (dam != null) {
      model.addAttribute("dangHaoGuiZe", dam.getDangHaoGuiZe());
      model.addAttribute("fenGeFu", dam.getFenGeFu());
      model.addAttribute("xuHaoGuiZe", dam.getZiFuDaiMa());
    } 
    obj.setMenLei(menLei);
    obj.setZhuangTai(Integer.valueOf(1));
    model.addAttribute("keJiXiangMu", obj);
    return "dingZhi/keJiXiangMu/keJiXiangMu_edit";
  }
  
  @RequestMapping({"/query.do"})
  public String query(HttpServletRequest request, HttpServletResponse response, Model model) {
    try {
      Map<String, Object> map = tool.getRequestParamsMaps(request);
      pageBase(model);
      PagerVO pagevo = this.keJiXiangMuService.query_SQL(this.start, this.number, this.table, map, CommStatic.getOrderBy(request, "dangHao"));
      String jsonString = JsonWithJacksonUtils.getInstance().obj2Json(pagevo).replaceAll(" 00:00:00", "")
        .replaceAll(":00", "").replaceAll("", "").replaceAll("HANGBIAOSHI", "hangBiaoShi")
        .replaceAll("QUANZONGHAO", "quanZongHao").replaceAll("CHENGWENRIQI", "chengWenRiQi")
        .replaceAll("XIANGMUHAO", "xiangMuHao").replaceAll("MIJI", "miJi").replaceAll("GUANJIANCI", "guanJianCi")
        .replaceAll("BIAOTI", "biaoTi");
      write(response, jsonString);
    } catch (Exception e) {
      e.printStackTrace();
    } 
    return null;
  }
  
  @RequestMapping({"/saveOrUpdate.do"})
  public void save(HttpServletRequest request, HttpServletResponse response, keJiXiangMu obj) {
    ResultMessage rm = new ResultMessage();
    String info = "";
    try {
      if (obj != null) {
        Map<String, String> map1 = new HashMap<>();
        map1.put("table", this.table);
        map1.put("server", this.server);
        map1.put("guiDangNianDu", obj.getGuiDangNianDu());
        map1.put("quanZongHaoString", obj.getQuanZongHao());
        map1.put("baoGuanQiXian", obj.getBaoGuanQiXian());
        map1.put("biaoTiString", obj.getBiaoTi());
        map1.put("zhuangTai_notin", "3,4");
        if (obj.getHangBiaoShi() != null && obj.getHangBiaoShi().intValue() > 0)
          map1.put("hangBiaoShi_not", String.valueOf(obj.getHangBiaoShi())); 
        String rizhi = "";
        if (!this.keJiXiangMuService.IsExist(map1)) {
          if (obj.getHangBiaoShi() != null && obj.getHangBiaoShi().intValue() > 0) {
            rizhi = "修改";
            this.keJiXiangMuService.update(obj);
          } else {
            rizhi = "新增";
            obj.setHangBiaoShi(Integer.valueOf(this.keJiXiangMuService.getPk(this.table)));
            obj.setZhuangTai(Integer.valueOf(1));
            obj.setGuanLianBiaoShi(String.valueOf(0));
            this.keJiXiangMuService.save(obj);
          } 
          rm.setSuccess(true);
          info = "保存成功！";
          rm.addResultMessage("hangBiaoShi", obj.getHangBiaoShi());
          this.keJiXiangMuService.addDA_RiZhi(getCurrentUser(), this.server, this.table, obj.getHangBiaoShi(), String.valueOf(obj.getBiaoTi()) + "$." + obj.getXiangMuHao() + "$." + obj.getMenLei(), rizhi);
        } else {
          rm.setSuccess(false);
          info = "题名已存在";
        } 
      } else {
        rm.setSuccess(false);
        info = "数据转换错误！";
      } 
    } catch (Exception e) {
      e.printStackTrace();
      rm.setSuccess(false);
      info = "操作失败！";
    } 
    rm.setInfo(info);
    responseWriter(response, rm.toString());
  }
  
  @RequestMapping({"/open.do"})
  public String open(HttpServletRequest request, HttpServletResponse response, Model model) {
    try {
      String quanXian = request.getParameter("quanXian");
      model.addAttribute("quanXian", quanXian);
      Integer hangBiaoShi = Integer.valueOf(Integer.parseInt(request.getParameter("hangBiaoShi")));
      String ids = request.getParameter("keyWordResult");
      model.addAttribute("keyWordResult", ids);
      keJiXiangMu obj = (keJiXiangMu)this.keJiXiangMuService.getById(keJiXiangMu.class, hangBiaoShi);
      model.addAttribute("keJiXiangMu", obj);
      if (this.tongYongService.checkWenjian(hangBiaoShi, "D_keJi-") > 0)
        model.addAttribute("state", "1"); 
      this.keJiXiangMuService.addDA_RiZhi(getCurrentUser(), this.server, this.table, hangBiaoShi, String.valueOf(obj.getBiaoTi()) + "$." + obj.getXiangMuHao() + "$." + obj.getMenLei(), "查看");
      Integer fenshu = this.tongYongService.queryIsNotFile(hangBiaoShi, this.table);
      model.addAttribute("fenshu", fenshu);
    } catch (Exception e) {
      e.printStackTrace();
    } 
    return "dingZhi/keJiXiangMu/keJiXiangMu_edit";
  }
  
  @RequestMapping({"/delete.do"})
  public void delete(HttpServletRequest request, HttpServletResponse response) {
    ResultMessage rm = new ResultMessage();
    String info = "";
    try {
      String hangBiaoShi = request.getParameter("hangBiaoShi");
      String biaoTi = request.getParameter("biaoTi");
      String dangHao = request.getParameter("dangHao");
      if (StringUtils.isNotBlank(hangBiaoShi)) {
        User user = getCurrentUser();
        rm.setSuccess(true);
        keJiXiangMu kjxm = (keJiXiangMu)this.keJiXiangMuService.getById(keJiXiangMu.class, Integer.valueOf(Integer.parseInt(hangBiaoShi)));
        info = "删除成功！";
        this.keJiXiangMuService.deleteBySQL(user, this.table, Integer.valueOf(Integer.parseInt(hangBiaoShi)));
        this.keJiXiangMuService.addDA_RiZhi(user, this.server, this.table, Integer.valueOf(Integer.parseInt(hangBiaoShi)), String.valueOf(biaoTi) + "$." + dangHao + "$." + kjxm.getMenLei(), "删除");
      } else {
        rm.setSuccess(false);
        info = "获取参数失败，无法删除，请联系管理员！";
      } 
    } catch (Exception e) {
      e.printStackTrace();
      rm.setSuccess(false);
      info = "删除失败！";
    } 
    rm.setInfo(info);
    responseWriter(response, rm.toString());
  }
}
